/****************************** DEFINITIONS ******************************/

#define LEFT 0
#define RIGHT 1
#define WHITE 0
#define BLACK 1
#define RED 0
#define GREEN 1

#define LEFT_A 0			    /* motor ports */
#define LEFT_B 1
#define RIGHT_A 2
#define RIGHT_B 3

#define WHEEL 0		    	    /* servo ports */
#define GATE_L 1
#define GATE_R 4
int wheel_center = 2100;          /* servo positions */

int gate_L_down = 2800;
int gate_L_up = 1600;
int gate_R_down = 1000;
int gate_R_up = 2800;
int gate_up = -1;			    /* 1 if the gate is up,
                                     0 otherwise */

#define BUMP_PORT_B 13            /* sensor ports */
int backbump = 0;
#define IR_PORT_LF 16		    
#define IR_PORT_LB 17
#define IR_PORT_RB 18

int IR_threshold_LF = 100;        /* threshold values for IR sensors */
int IR_threshold_LB = 100;
int IR_threshold_RB = 100;
int white_LF = 100;		    /* pre-set readings for white */
int white_LB = 100;
int white_RB = 100;
int black_LF = 100; 		    /* pre-set readings for black */
int black_LB = 100;
int black_RB = 100;

#define SHAFT_L 7			    /* break beam sensor ports */
#define SHAFT_R 8

/* GYRO */
#define GYRO_TYPE 300		    /* 300 for ADXRS300 */
#define GYRO_PORT 6		    /* gyro analog input port number */
float lsb_ms_per_deg = 256.0;	    /* nominal scale factor for ADXRS300 */
float scale_factor = 1.004;	    /* adjustable */
float theta = 0.0;	          /* current angle */
float offset;			    /* gyro offset */		
int num_avgs = 800;		    /* number of averages for calibration */
long time_ms;			    /* system time the last gyro reading 
					       was taken */
#define CURRENT_ANGLE theta/lsb_ms_per_deg

float time;
int myRobot;
int enemyRobot;
int mySide;
int myOrientation = 0;
int going_forward = 0;		     /* for time outs */
int turning_right = 0;
int turning_left = 0;
int going_backward = 0;
int process1;


/******************************* FUNCTIONS *******************************/

int sign(float a){
  if ( a > 0.0 ) return 1;
  else return -1;
} /* sign()*/


float fabs(float a){
  if ( a > 0.0 ) return a;
  else return -a;
} /* fabs() */